Skip to navigation

Update email setting overrides for envelope

View as Markdown

Updates the existing email override settings for the specified envelope. Note that modifying email settings will only affect email communications that occur after the modification was made.

This can also be used to delete an individual email override setting by using an empty string for the value to be deleted.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

envelopeIdstringRequired

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request

This endpoint expects an object: emailSettings

bccEmailAddresseslist of objectsOptional

An array containing the email address that should receive a copy of all email communications related to an envelope for archiving purposes. Maximum Length: 100 characters.

While this property is an array, note that it takes only a single email address.

Note: Only users with the canManageAccount setting set to true can use this option.

Docusign verifies that the email format is correct, but does not verify that the email address is active. You can use this for archiving purposes. However, using this property overrides the BCC for Email Archive information setting for this envelope.

Example: if your account has BCC for Email Archive set up for the email address archive@mycompany.com and you send an envelope using the BCC Email Override to send a BCC email to salesarchive@mycompany.com, then a copy of the envelope is only sent to the salesarchive@mycompany.com email address.

replyEmailAddressOverridestringOptional

The Reply To email address to use for email replies, instead of the one that is configured at the account level. Docusign verifies that the email address is in a correct format, but does not verify that it is active. Maximum Length: 100 characters.

replyEmailNameOverridestringOptional

The name to associate with the Reply To email address, instead of the name that is configured at the account level. Maximum Length: 100 characters.

Response

Successful response.
bccEmailAddresseslist of objectsOptional

An array containing the email address that should receive a copy of all email communications related to an envelope for archiving purposes. Maximum Length: 100 characters.

While this property is an array, note that it takes only a single email address.

Note: Only users with the canManageAccount setting set to true can use this option.

Docusign verifies that the email format is correct, but does not verify that the email address is active. You can use this for archiving purposes. However, using this property overrides the BCC for Email Archive information setting for this envelope.

Example: if your account has BCC for Email Archive set up for the email address archive@mycompany.com and you send an envelope using the BCC Email Override to send a BCC email to salesarchive@mycompany.com, then a copy of the envelope is only sent to the salesarchive@mycompany.com email address.

replyEmailAddressOverridestringOptional

The Reply To email address to use for email replies, instead of the one that is configured at the account level. Docusign verifies that the email address is in a correct format, but does not verify that it is active. Maximum Length: 100 characters.

replyEmailNameOverridestringOptional

The name to associate with the Reply To email address, instead of the name that is configured at the account level. Maximum Length: 100 characters.

Errors

400
Bad Request Error